#! /usr/bin/perl

# AutoNap caching module $Revision: 1.2 $
# last change made $Date: 2001/03/20 22:58:36 $

package AutoLib::Cache;

BEGIN {
	use Exporter   ();
	use vars       qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);

	$VERSION = 0.1.2;

	@ISA          = qw(Exporter);
	@EXPORT       = qw(@CACHE_BROWSE   @CACHE_SEARCH 
			   &cache_browse   &cache_search
			   &get_from_cache
			   &num_of_browse  &num_of_search
			  );
	%EXPORT_TAGS  = ();

	}
	
use strict;
use vars     @EXPORT_OK;


our (@CACHE_SEARCH, @CACHE_BROWSE);

sub cache_search {

	my @s = @_;

	# destroy oldest element of cache if there are already 
	# ten cached searches
	
	shift @CACHE_SEARCH unless num_of_search() < 10;
	push @CACHE_SEARCH, [ @s ];

}

sub cache_browse {

	my @b = @_;

	# destroy oldest element of cache
	shift @CACHE_BROWSE unless (my $l = @CACHE_BROWSE) < 10;
	
	push @CACHE_BROWSE, [ @b ];

}

sub get_from_cache {

	my ($type, $n) = @_;
		
	# reference to array
	my $ret;
	
	$ret = $CACHE_SEARCH[$n] if $type eq 'search';
	$ret = $CACHE_BROWSE[$n] if $type eq 'browse';

	return @$ret; 
	
}
	
sub num_of_search {
	return my $n = @CACHE_SEARCH;
}

sub num_of_browse {
	return my $n = @CACHE_BROWSE;
}
	
	
1;
