#! /usr/bin/perl -w

# AutoNap callback module $Revision: 1.3 $
# last change made $Date: 2001/03/19 09:59:48 $

import MP3::Napster;

package AutoLib::Callbacks;

BEGIN {
	use Exporter   ();
	use vars       qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);

	$VERSION = 1.0;

	@ISA          = qw(Exporter);
	@EXPORT       = qw(&CLB_message_of_day
		           &CLB_transfer_progress 
		           &CLB_transfer_start 
			   &CLB_transfer_end 
			   &CLB_transfer_status
			   );
	%EXPORT_TAGS  = ( );

	}
use Term::ANSIColor qw (:constants);
use strict;
use vars     @EXPORT_OK;

sub CLB_message_of_day {
	my ($nap, $code, $msg) = @_;
	printf defined $msg ? BLUE." // ".GREEN."$msg".RESET."\n" : "\n";
}

sub CLB_transfer_progress {
	my ($nap, $code, $trans) = @_;
	printf "Download of ".$trans->asString()." still running...\n";
}

sub CLB_transfer_start {
	my ($nap, $code, $trans) = @_;
	printf BLUE."******\n";
	printf GREEN."Download: ".$trans->asString()." started...";
	printf BLUE."\n******".RESET."\n";
}

sub CLB_transfer_end {
	my ($nap, $code, $trans) = @_;
	printf BLUE."*****\n";
	if ($trans->status eq 'transfer aborted') {	
		printf BOLD.RED."Download: ".$trans->asString()." aborted.";
	}
	else {
		printf GREEN."Download: ".$trans->asString()." finished with ".$trans->status;
	}
	printf RESET.BLUE."\n*****".RESET."\n";
}

sub CLB_transfer_status {
	my ($nap, $code, $trans) = @_;
}

1;
