#! /usr/bin/perl -w

# AutoNap configfile parser module $Revision: 1.5 $
# last change made $Date: 2001/03/20 09:18:05 $

package AutoLib::Conffile;

BEGIN {
        use Exporter  ();
        use vars      qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);
        $VERSION      = 1.0;
        @ISA          = qw(Exporter);
        @EXPORT       = qw(
			$ACC_NETWORK	     $ACC_USER               $ACC_PASS               
			$ACC_DOWNLOAD_DIR
			$MISC_PLAYER
			$DOWN_MIN_LINESPEED  $DOWN_MIN_BITRATE       $DOWN_MAX_SIMULTANEOUS
			$DOWN_TIMEOUT        $DOWN_MIN_FILE_LENGTH
			$SEARCH_PATTERN
			$RND	             @RND_PATTERN            @RND_EXCLUDE_PATTERN
			&parse_configfile
			);
	%EXPORT_TAGS  = ( );
}

use vars     @EXPORT_OK;
use strict;

sub parse_configfile {
	my $file = shift;
	my ($key, $value);
	open CONF_FILE, "<$file" 
		or die "Error: Couldn't open specified config file\n";
		
	# set defaults
	
	$main::ACC_NETWORK           = "";
	$main::ACC_USER              = "";
	$main::ACC_PASS              = "prompt_me";
	$main::ACC_DOWNLOAD_DIR      = $ENV{'HOME'};
	$main::MISC_PLAYER           = "mpg123 -";
	$main::DOWN_MIN_LINESPEED    = "DSL";
	$main::DOWN_MIN_BITRATE      = "128";
	$main::DOWN_MAX_SIMULTANEOUS = 1;
	$main::DOWN_TIMEOUT          = 60;
	$main::DOWN_MIN_FILE_LENGTH  = "2:00";
	$main::SEARCH_PATTERN        = "i'm a looser";
	$main::RND                   = "no";
	@main::RND_PATTERN           = (".mp3", ".MP3");
	@main::RND_EXCLUDE_PATTERN   = ("britney spears", "backstreet boys");

	my $url_flag;

	while (<CONF_FILE>) {
		chop;
		my $l = $_;

		# ignore comments
		next if ($l =~ /^#|^\[|^\n|^$/);
		
		# split on '='	
		my ($key, $value) = split /=/, $l;

		$main::ACC_NETWORK           = $value if ($key eq 'acc_network');
		$main::ACC_USER              = $value if ($key eq 'acc_user');
		$main::ACC_PASS              = $value if ($key eq 'acc_pass');
		$main::ACC_DOWNLOAD_DIR      = $value if ($key eq 'acc_download_dir');
		$main::MISC_PLAYER           = $value if ($key eq 'misc_player');
			$main::MISC_PLAYER .= " -";
		$main::DOWN_MIN_LINESPEED    = $value if ($key eq 'down_min_linespeed');
		$main::DOWN_MIN_BITRATE      = $value if ($key eq 'down_mit_bitrate');
		$main::DOWN_MAX_SIMULTANEOUS = $value if ($key eq 'down_max_simultaneous');
		$main::DOWN_MIN_FILE_LENGTH  = $value if ($key eq 'down_min_file_length');
		$main::SEARCH_PATTERN        = $value if ($key eq 'search_pattern');
		$main::RND                   = $value if ($key eq 'rnd');
		@main::RND_PATTERN           = split /::/, $value if ($key eq 'rnd_pattern');
		@main::RND_EXCLUDE_PATTERN  = split /::/, $value if ($key eq 'rnd_exclude_pattern');
	}

	close CONF_FILE;
}

	
1;

					
