#! /usr/bin/perl

# AutoNap networking module $Revision: 1.1 $
# last change made $Date: 2001/03/17 09:34:44 $
# Thanks go to Travis Whitton from whom
# I borrowed a little bit of code

package AutoLib::Net;

BEGIN {
	use Exporter   ();
	use vars       qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);

	$VERSION = 1.0;

	@ISA          = qw(Exporter);
	@EXPORT       = qw(&get_servers);
	%EXPORT_TAGS  = ();

	}
use Socket;
use strict;
use vars     @EXPORT_OK;


sub get_servers {

	my ($peer, $port) = @_;
	my @peers;
	my $proto = getprotobyname('tcp');
	my $sin = sockaddr_in ($port, inet_aton($peer));
	my $msg = "GET /servers.php\n\n";
	
	# try a connection tp $peer:$port
	socket (S, PF_INET, SOCK_STREAM, $proto);
	connect (S, $sin) or
		warn "Warning: $peer:$port not reachable: $!";
	syswrite (S, $msg, length($msg));

	while (<S>) {
	
		my ($ip, $port, $network, $users, $songs, $gigs, $host) = split;
		my $server = { ip      => $ip,
			       port    => $port,
			       network => $network,
			       users   => $users,
			       songs   => $songs,
			       gigs    => $gigs,
			       host    => $host };
		push @peers, $server;

	}
	return @peers;

}

1;
