#!perl

# $Revision: 1.1 $, last change made $Date: 2001/03/24 11:24:06 $
# a routine for making some platform-dependant adoptions.

use strict;

mkdir "./target";
my $BINPATH = $ARGV[0] ||= '/usr/local/bin';
my $MANPATH = $ARGV[1] ||= '/usr/local/man';
my $PERLPATH = $ENV{_};
my $LIBPATH = '';
if ($INC[0] ne '.') {
	$LIBPATH = $INC[0];
}
else {
	$LIBPATH = $INC[1];
}

open AUTONAP, "<AutoNap.PL";
open EXECUTABLE, ">./target/AutoNap.pl";
open INSTALL, ">install.sh";

print "Examining your system...\n\n";
print "Where am I?\n";
print $PERLPATH."\n";
print "\n";
print "Where do I look for modules?\n";
print $_."\n" for (@INC);
print "\n";
print "I will put my modules into:\n$LIBPATH\n";
print "\n";
print "After installation, AutoNap.pl will be in:\n";
print "$BINPATH\n";
print "\n";

#-----------------------------
# Generation of new executable
#-----------------------------
print "Generating executable:\n";
while (<AUTONAP>) {
	my $l = $_;
	
	if ($l =~ /#!perl/) {
		print EXECUTABLE "#! ".$PERLPATH." -w \n";
	}
	else {
		print EXECUTABLE $l;
	}
	print STDOUT ".";
}
close AUTONAP;
close EXECUTABLE;
print "\n";


#----------------------------
# Generation of installscript
#----------------------------
print "Generating install.sh:\n";
print INSTALL 
	"#!/bin/sh\n",
	"\n",
	"BINPATH='$BINPATH'\n",
	"MANPATH='$MANPATH'\n",
	"PERLLIBPATH='$LIBPATH'\n",
	"CONFFILEPATH=\$HOME\n",
	"\n",
	"case \"\$1\" in\n",
	"      install)\n",
	"		cp ./target/AutoNap.pl \$BINPATH\n",
        "		cp AutoNap.pl.1 \$MANPATH/man1\n",
	"	        cp autonap.conf \$CONFFILEPATH\n",
	"		cp autonap.conf.5 \$MANPATH/man5\n",
	"		cp -r AutoLib/ \$PERLLIBPATH\n",
	"		chmod 775 \$BINPATH/AutoNap.pl\n",
	"      ;;\n",
	"      remove)\n",
	"        	rm \$BINPATH/AutoNap.pl\n",
	"	        rm \$MANPATH/man1/AutoNap.pl.1\n",
	"	        rm \$MANPATH/man5/autonap.conf.5\n",
	"	        rm -r \$PERLLIBPATH/AutoLib\n",
	"	        rm \$CONFFILEPATH/autonap.conf\n",
	"      ;;\n",
	"      *)\n",
	"		echo \"usage: install.sh install | remove\"\n",
	"               ;;\n",
	"esac\n";
print "Generating of install.sh finished.\nYou can now install AutoNap by invoking". 
      "'install.sh install'\n";

close INSTALL;

my $mode = 0755;
chmod $mode, 'install.sh';
